
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%-- jstl1.2--%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%> 
<%@page import="com.ckeditor.CKEditorConfig"%>
<%@ taglib uri="http://ckeditor.com" prefix="ckeditor" %>

<%@ page isELIgnored="false" %> 
<%@page  import="miincms.entryDomain.dao.CmsArticleCat,miincms.domain.ArticleAdminDomain" %>
<%//创建文章域对象
ArticleAdminDomain entryDomain=new ArticleAdminDomain(request,response,out);%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="description" content="CmsArticle 添加实体类数据表单，path: 请情: www.juuluu.net " />

<title>添加文章</title>

    <link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/MyApp/Resource/RIA/jquery-easyui-1.3.2/themes/default/easyui.css">
	<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/MyApp/Resource/RIA/jquery-easyui-1.3.2/themes/icon.css">
	<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/MyApp/Resource/RIA/jquery-easyui-1.3.2/demo/demo.css">
	<script type="text/javascript" src="<%=request.getContextPath()%>/MyApp/Resource/RIA/jquery-easyui-1.3.2/jquery-1.8.0.min.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/MyApp/Resource/RIA/jquery-easyui-1.3.2/jquery.easyui.min.js"></script>

 
        <%--  时间控件 --%>

<script type="text/javascript"  src="/DateTimeCalendar/DateTimeCalendar.js" language="javascript">
</script> 

</head>
<body>
<html:errors/>

<div class="title_box"><h1>添加文章</h1></div>

<script type="text/javascript" src="/juuluu.org/javascript/form.js" language="javascript"></script>
<form name="CmsArticleForm" id="CmsArticleForm"  action="<%=request.getContextPath()%>/MyApp/miincms/admin/ArticleAdmin/controller.jsp?act=add" method="post"   >

<div id="content">
        
    <input type="hidden" name="viewCount" value="0">
     <%--
    文档路径: contentfilePath,文档内容以文件方式保存到本地目录。文件路径保存于contentfilePath。
    --%>
        
 

<input type="hidden" name="inputUserId" value="${SysAdminUserSession.userId}">

<input type="hidden" name="inputUserName" value="${SysAdminUserSession.userName}">



<input type="hidden" name="catid"　　　　　　　　　　　　　　　　　　　　　　　　 value="<c:out value="${CmsArticleCatAdmin.catid}"/>" >

<input type="hidden" name="catName"  value="<c:out value="${CmsArticleCatAdmin.catName}"/>" >

    
    
<p>
<span class="formElementLable">文章标题:</span><input type="text" name="title" size="30"  maxlength="45">
</p>



<p><label for="editor1">文章内容:</label>
    
    
<textarea cols="80" id="contentEditor" name="contentEditor" rows="10"></textarea>


<% 
	CKEditorConfig settings = new CKEditorConfig();
	settings.addConfigValue("width","710");
%>


<ckeditor:replace replace="contentEditor" basePath="../../../../ckeditor/" config="<%=settings %>" />

</p>

<span class="formElementLable"> 网页标题:</span><input type="text" name="htmlTitle" size="30"  maxlength="45">
</p>



<p>
<span class="formElementLable">网页关键字:</span><input type="text" name="htmlKeyWord" size="30"  maxlength="45">
</p>



<p>
<span class="formElementLable">网页描述:</span><input type="text" name="htmlDescription" size="30"  maxlength="45">
</p>



<p>
<span class="formElementLable">文章模板路径:</span><input type="text" name="templetePath" size="30"  maxlength="45">
</p>


<p>
<span class="formElementLable">是否自定义模板:</span><Input type="checkbox" name="buseSelfTemplete" checked="checked"  value="true"/>
</p>



<p>
<span class="formElementLable">作者:</span><input type="text" name="authorName" size="30"  maxlength="45">
</p>



<p>
<span class="formElementLable">标签:</span><input type="text" name="tagsName" size="30"  maxlength="45">
</p>






<p>
<span class="formElementLable">是否审核:</span><Input type="checkbox" name="bcheck" checked="checked"  value="true"/>
</p>


<p>
<span class="formElementLable">是否通过:</span><Input type="checkbox" name="bpassed" checked="checked"  value="true"/>
</p>



<p>
<span class="formElementLable">是否首页推荐:</span><Input type="checkbox" name="bcmdIndex" checked="checked"  value="true"/>
</p>


<p>
<span class="formElementLable">是否分类推荐:</span><Input type="checkbox" name="bcmsCat" checked="checked"  value="true"/>
</p>

<%--
<p>
<span class="formElementLable">发布时间:</span><input type="text" name="addTime" size="30"  maxlength="45">
</p>



<p>
<span class="formElementLable">更新时间:</span><input type="text" name="updateTime" size="30"  maxlength="45">
</p>
--%>




<p>
<input id="CmsArticleFormSubmit" type="button" onClick="return formsubmit()"  value="提交"/> <input type="reset"  value="重设"/>
</p>

</div></form>
	<script type="text/javascript" language="javascript" >
	//重设表单
	function resetForm(){
		var formPage=document.forms["CmsArticleForm"];	 formPage.reset();
	 return false;
	}
	
	//提交表单，成功后提交表单
	function formsubmit(){
		var form=document.forms["CmsArticleForm"];
		if(form==null){
			alert("无法获取表单！");
			 	return false;
		}
		if(form!=null){
		//表单验证
		 var formchekcReturn=formcheck();
	 	if(formchekcReturn !=null && formchekcReturn==true){
		form.submit();
	 //将提交按钮设置为失效，防止重复提交
		var formSubmit=document.getElementById("CmsArticleFormSubmit");
	 	formSubmit.disabled= true;
	 	return true;
			 }else{
	 	return false;
		}
	 }//end if
	
	}//end fun
	//表单验证
	function formcheck(){
		var formPage=document.forms["CmsArticleForm"];		if(formPage==null){
			alert("未发现表单！");
			isreturn =false;
			return false;
			
		}
		var isreturn =true;
                
                /*
		//表单catid元素是否为空
	     var catid =formPage.catid;
		var catidValue=trim(catid.value);
			if(catidValue==null||catidValue==""){
			alert("catid不能为空！");
			catid.focus();
			isreturn =false;
			return false;
		}	//end if
		//表单viewCount元素是否为空
	     var viewCount =formPage.viewCount;
		var viewCountValue=trim(viewCount.value);
			if(viewCountValue==null||viewCountValue==""){
			alert("点击不能为空！");
			viewCount.focus();
			isreturn =false;
			return false;
		}	//end if
		*/
		//表单中文验证
		
		//表单字符长度验证
		
		//表单密码强度验证
		
		//表单是否包含字符验证
		
		//表单过长验证
		
		//判断是否提交表单
		//alert("return :"+isreturn);
		
		if(isreturn ==false){
		
		//	alert("return :"+isreturn);
		return false;
		
		}else{
		isreturn=true;
		//alert("return :"+isreturn);
		return isreturn;
		}
	}
	
	</script>

</body>
</html>

